summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndrew Whatson2019-11-07 23:01:06 +1000
committerAndrew Whatson2019-11-08 10:04:07 +1000
commitb336a9bfdd65186a53a6a18c709272e1da4ad203 (patch)
tree18d601b0df34e654ea57f3131c0fc9aa8c5d8f72
parent361261d7bfbaad9a911ad3aee8c90ce8f687fb25 (diff)
downloadaur-b336a9bfdd65186a53a6a18c709272e1da4ad203.tar.gz
Fix configure choosing wrong guile
-rw-r--r--.SRCINFO4
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD7
3 files changed, 10 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index e1aa14c30fa..8978170f2ce 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = guile-gnome-platform-git
pkgdesc = Binding between Guile Scheme and the Gnome stack of libraries. (fe. Pango, GTK+, Cairo, GStreamer, Glade, GtkSourceView and else). To build wrappers for GTK+ and higher in the stack, you will first need Guile-Cairo.
pkgver = 2.16.5.r0.gf775d62
- pkgrel = 1
+ pkgrel = 2
epoch = 1
url = http://www.gnu.org/software/guile-gnome/
arch = i686
@@ -15,7 +15,7 @@ pkgbase = guile-gnome-platform-git
conflicts = guile-gnome-platform
options = !libtool
source = guile-gnome-platform::git://git.sv.gnu.org/guile-gnome.git
- md5sums = SKIP
+ sha256sums = SKIP
pkgname = guile-gnome-platform-git
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..c463ae5962b
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+*.pkg.tar.xz
+/guile-gnome-platform
+/pkg/
+/src/
diff --git a/PKGBUILD b/PKGBUILD
index d0f9b0f90fa..5cb7857fda7 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,10 +1,11 @@
+# Maintainer: Andrew Whatson <whatson@gmail.com>
# Maintainer: Brian Bidulock <bidulock@openss7.org>
# Contributor: Daniel Krueger <keenbug gmail.com>
# Contributor: Daniel Oliveira <psykond@gmail.com>
pkgname=guile-gnome-platform-git
_pkgname=guile-gnome-platform
pkgver=2.16.5.r0.gf775d62
-pkgrel=1
+pkgrel=2
epoch=1
pkgdesc="Binding between Guile Scheme and the Gnome stack of libraries. (fe. Pango, GTK+, Cairo, GStreamer, Glade, GtkSourceView and else). To build wrappers for GTK+ and higher in the stack, you will first need Guile-Cairo."
arch=('i686' 'x86_64')
@@ -16,7 +17,7 @@ conflicts=($_pkgname)
makedepends=('git')
options=(!libtool)
source=("$_pkgname::git://git.sv.gnu.org/guile-gnome.git")
-md5sums=('SKIP')
+sha256sums=('SKIP')
pkgver() {
cd $_pkgname
@@ -30,7 +31,7 @@ prepare() {
build() {
cd $_pkgname
- ./configure --prefix=/usr
+ GUILE=/usr/bin/guile ./configure --prefix=/usr
make
}
package() {